---
title: Date() constructor
slug: Web/JavaScript/Reference/Global_Objects/Date/Date
tags:
  - Constructor
  - Date
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">Creates a JavaScript <strong><code>Date</code></strong> instance that represents a single moment in time in a platform-independent format.</span> <code>Date</code> objects contain a <code>Number</code> that represents milliseconds since 1 January 1970 UTC.</p>

<div>{{EmbedInteractiveExample("pages/js/date-constructor.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Date()
new Date(<var>value</var>)
new Date(<var>dateString</var>)
new Date(<var>year</var>, <var>monthIndex</var> [, <var>day</var> [, <var>hours</var> [, <var>minutes</var> [, <var>seconds</var> [, <var>milliseconds</var>]]]]])
</pre>

<div class="notecard note">
<p><strong>Note:</strong> The only correct way to instantiate a new <code>Date</code> object is by using the {{jsxref("new")}} operator. If you call the <code>Date</code> object directly, such as <code>now = Date()</code>, the returned value is a string rather than a <code>Date</code> object.</p>
</div>

<h3 id="Parameters">Parameters</h3>

<p>There are four basic forms for the <code>Date()</code> constructor:</p>

<ol>
 <li>
  <h4 id="No_parameters">No parameters</h4>

  <p>When no parameters are provided, the newly-created <code>Date</code> object represents the current date and time as of the time of instantiation.</p>
 </li>
 <li>
  <h4 id="Time_value_or_timestamp_number">Time value or timestamp number</h4>

  <dl>
   <dt><code><var>value</var></code></dt>
   <dd>An integer value representing the number of milliseconds since January 1, 1970, 00:00:00 UTC (the ECMAScript epoch, equivalent to the UNIX epoch), with leap seconds ignored. Keep in mind that most <a href="http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/V1_chap04.html#tag_04_16">UNIX Timestamp</a> functions are only accurate to the nearest second.</dd>
  </dl>
 </li>
 <li>
  <h4 id="Timestamp_string">Timestamp string</h4>

  <dl>
   <dt><code><var>dateString</var></code></dt>
   <dd>A string value representing a date, specified in a format recognized by the {{jsxref("Date.parse()")}} method. (These formats are <a href="http://tools.ietf.org/html/rfc2822#page-14">IETF-compliant RFC 2822 timestamps</a>, and also strings in a <a href="https://www.ecma-international.org/ecma-262/11.0/#sec-date.parse">version of ISO8601</a>.)
   <div class="note">
   <p><strong>Note:</strong> Parsing of date strings with the <code>Date</code> constructor (and <code>Date.parse()</code>, which works the same way) is <em>strongly discouraged</em> due to browser differences and inconsistencies.</p>

   <ul>
    <li>Support for <a href="https://tools.ietf.org/html/rfc2822">RFC 2822</a> format strings is by convention only.</li>
    <li>Support for ISO 8601 formats differs in that date-only strings (e.g. <code>"1970-01-01"</code>) are treated as UTC, not local.</li>
   </ul>
   </div>
   </dd>
  </dl>
 </li>
 <li>
  <h4 id="Individual_date_and_time_component_values">Individual date and time component values</h4>

  <p>Given at least a year and month, this form of <code>Date()</code> returns a <code>Date</code> object whose component values (year, month, day, hour, minute, second, and millisecond) all come from the following parameters. Any missing fields are given the lowest possible value (<code>1</code> for <code><var>day</var></code> and <code>0</code> for every other component).</p>

  <dl>
   <dt><code><var>year</var></code></dt>
   <dd>
   <p>Integer value representing the year.</p>

   <p>Values from <code>0</code> to <code>99</code> map to the years <code>1900</code> to <code>1999</code>. All other values are the actual year. See the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#Two_digit_years_map_to_1900_%E2%80%93_1999">example</a>.</p>
   </dd>
   <dt><code><var>monthIndex</var></code></dt>
   <dd>Integer value representing the month, beginning with <code>0</code> for January to <code>11</code> for December.</dd>
   <dt><code><var>day</var></code> {{optional_inline}}</dt>
   <dd>Integer value representing the day of the month. The default is <code>1</code>.</dd>
   <dt><code><var>hours</var></code> {{optional_inline}}</dt>
   <dd>Integer value representing the hour of the day. The default is <code>0</code> (midnight).</dd>
   <dt><code><var>minutes</var></code> {{optional_inline}}</dt>
   <dd>Integer value representing the minute segment of a time. The default is <code>0</code> minutes past the hour.</dd>
   <dt><code><var>seconds</var></code> {{optional_inline}}</dt>
   <dd>Integer value representing the second segment of a time. The default is <code>0</code> seconds past the minute.</dd>
   <dt><code><var>milliseconds</var></code> {{optional_inline}}</dt>
   <dd>Integer value representing the millisecond segment of a time. The default is <code>0</code> milliseconds past the second.</dd>
  </dl>
 </li>
</ol>

<h2 id="Examples">Examples</h2>

<h3 id="Several_ways_to_create_a_Date_object">Several ways to create a Date object</h3>

<p>The following examples show several ways to create JavaScript dates:</p>

<div class="note">
<p><strong>Note:</strong> Parsing of date strings with the <code>Date</code> constructor (and <code>Date.parse</code>, they are equivalent) is strongly discouraged due to browser differences and inconsistencies.</p>
</div>

<pre class="brush: js notranslate">let today = new Date()
let birthday = new Date('December 17, 1995 03:24:00')
let birthday = new Date('1995-12-17T03:24:00')
let birthday = new Date(1995, 11, 17)            // the month is 0-indexed
let birthday = new Date(1995, 11, 17, 3, 24, 0)</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date-constructor', 'Date')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.Date")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date")}}</li>
</ul>
